Bug 114757 - [NEW PORT] devel/php-dbg2: php debugger that works with php5 & gcc 4.x (depricates devel/php-dbg)
Summary: [NEW PORT] devel/php-dbg2: php debugger that works with php5 & gcc 4.x (depri...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-07-20 06:00 UTC by Josh Paetzel <josh@tcbug.org>
Modified: 2007-08-05 09:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Josh Paetzel <josh@tcbug.org> 2007-07-20 06:00:08 UTC

devel/php-dbg does not work with php 5.x and doesn't compile with gcc 4.x

The upstream maintainers have been transitioning to calling the newest release of dbg dbg2 even though the version numbers incremented from 2.11.x to 2.15.5

Fix: 

Also available for download from http://www.rogueadmin.org/FreeBSD/php-dbg2.shar--YEBqgdPlewBRLskVmQ1QKZ76J4qvq9MmNFbHfnR27vVG28p0
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#       /usr/ports/devel/php-dbg2
#       /usr/ports/devel/php-dbg2/pkg-plist
#       /usr/ports/devel/php-dbg2/pkg-message
#       /usr/ports/devel/php-dbg2/pkg-descr
#       /usr/ports/devel/php-dbg2/distinfo
#       /usr/ports/devel/php-dbg2/Makefile
#
echo c - /usr/ports/devel/php-dbg2
mkdir -p /usr/ports/devel/php-dbg2 > /dev/null 2>&1
echo x - /usr/ports/devel/php-dbg2/pkg-plist
sed 's/^X//' >/usr/ports/devel/php-dbg2/pkg-plist << 'END-of-/usr/ports/devel/php-dbg2/pkg-plist'
Xlib/php/%%PHP_EXT_DIR%%/dbg.so
X@dirrmtry lib/php/%%PHP_EXT_DIR%%
END-of-/usr/ports/devel/php-dbg2/pkg-plist
echo x - /usr/ports/devel/php-dbg2/pkg-message
sed 's/^X//' >/usr/ports/devel/php-dbg2/pkg-message << 'END-of-/usr/ports/devel/php-dbg2/pkg-message'
X*****************************************************************************
XThis product includes DBG PHP Debugger, Copyright(C) 1999, 2000, 2001,
X2002 Nusphere Corporation, http://www.nusphere.com/dbg
X
XThe php debugger has been installed successful.
XAdd a line containing
X
X       extension=dbg.so
X
Xto your %%LOCALBASE%%/etc/php/extensions.ini to load it.
XIf you have the Zend Optimizer installed, add the line
X
X       zend_extension=%%PREFIX%%/lib/php/%%PHP_EXT_DIR%%/dbg.so
X
Xto your [zend] section in the php.ini file, too.
XAdd following section to enable/disable whatever you need from the debugger:
X
X       [Debugger]
X       debugger.enabled=on
X       debugger.profiler_enabled=on
X       debugger.enable_session_cookie=on
X       debugger.JIT_enabled=on
X       debugger.JIT_port=7869
X
X*****************************************************************************
END-of-/usr/ports/devel/php-dbg2/pkg-message
echo x - /usr/ports/devel/php-dbg2/pkg-descr
sed 's/^X//' >/usr/ports/devel/php-dbg2/pkg-descr << 'END-of-/usr/ports/devel/php-dbg2/pkg-descr'
XThe DBG Php Debugger is a comprehensive software tool that helps you
Xdebugging your php scripts.
X
XWWW:   http://dd.cron.ru/dbg/
END-of-/usr/ports/devel/php-dbg2/pkg-descr
echo x - /usr/ports/devel/php-dbg2/distinfo
sed 's/^X//' >/usr/ports/devel/php-dbg2/distinfo << 'END-of-/usr/ports/devel/php-dbg2/distinfo'
XMD5 (dbg-2.15.5.tar.gz) = 1183c5d87635adf77b416787e4916965
XSHA256 (dbg-2.15.5.tar.gz) = 84dc46495610cd6ca96ff32578ee5df75aad672228cb63d593e72796bd11d77a
XSIZE (dbg-2.15.5.tar.gz) = 252533
END-of-/usr/ports/devel/php-dbg2/distinfo
echo x - /usr/ports/devel/php-dbg2/Makefile
sed 's/^X//' >/usr/ports/devel/php-dbg2/Makefile << 'END-of-/usr/ports/devel/php-dbg2/Makefile'
X# New ports collection makefile for:   php-dbg2
X# Date created:                19 July 2007
X# Whom:                        Josh Paetzel <josh@tcbug.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=      dbg2
XPORTVERSION=   2.15.5
XCATEGORIES=    devel
XMASTER_SITES=  ${MASTER_SITE_SOURCEFORGE:S/%SUBDIR%/dbg2/}
XPKGNAMEPREFIX= php-
XDISTNAME=      dbg-${PORTVERSION}
X
XMAINTAINER=    josh@tcbug.org
XCOMMENT=       Debugger for PHP
X
XWRKSRC=                ${WRKDIR}/dbg-${PORTVERSION}
XUSE_PHP=       yes
XUSE_PHPIZE=    yes
XDEFAULT_PHP_VER=5
XCONFIGURE_ARGS=        --enable-dbg=shared --with-dbg-profiler \
X               --with-php-config=${PREFIX}/bin/php-config \
X               --prefix=${PREFIX}/lib/php/${PHP_EXT_DIR}
XPKGMESSAGE=    pkg-message
X
X.include <bsd.port.pre.mk>
X
Xpost-install:
X       @${CAT} ${PKGMESSAGE}
X
X.include <bsd.port.post.mk>
END-of-/usr/ports/devel/php-dbg2/Makefile
exit
How-To-Repeat: 

N/A
Comment 1 Martin Wilke freebsd_committer 2007-08-02 17:33:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2007-08-02 17:36:17 UTC
State Changed
From-To: open->feedback

Ask for maintainer fix.
Comment 3 Josh Paetzel <josh@tcbug.org> 2007-08-02 18:00:09 UTC
miwi@FreeBSD.org wrote:
> Synopsis: [NEW PORT] devel/php-dbg2: php debugger that works with php5 & gcc 4.x (depricates devel/php-dbg)
> 
> State-Changed-From-To: open->feedback
> State-Changed-By: miwi
> State-Changed-When: Thu Aug 2 16:36:17 UTC 2007
> State-Changed-Why: 
> Ask for maintainer fix.
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=114757


Not sure which maintainer you are referring to.  I maintain
devel/php-dbg. The upstream maintainers of php-dbg are the same as the
upstream maintainers of this new port.  This is sort of an xmms/xmms2
situation, php-dbg doesn't work with PHP5, nor will it compile with
gcc 4.x and rather than try and kludge in fixes they redesigned it.

Once this port is accepted I was planning on changing php-dbg so that
it gives a 'You really should be installing devel/php-dbg2' message,
and when the upstream people finally cut it loose removing it from the
ports tree.

-- 
Thanks,

Josh Paetzel
Comment 4 Martin Wilke freebsd_committer 2007-08-02 18:25:51 UTC
State Changed
From-To: feedback->repocopy

Please repocopy devel/php-dbg to devel/php-dbg2. 






Comment 5 Martin Wilke freebsd_committer 2007-08-02 18:25:51 UTC
Responsible Changed
From-To: miwi->portmgr

Over to portmgr for repocopy
Comment 6 Joe Marcus Clarke freebsd_committer 2007-08-04 07:26:36 UTC
State Changed
From-To: repocopy->open

Repocopy complete. 


Comment 7 Joe Marcus Clarke freebsd_committer 2007-08-04 07:26:36 UTC
Responsible Changed
From-To: portmgr->miwi

Repocopy complete.
Comment 8 dfilter service freebsd_committer 2007-08-05 09:20:09 UTC
miwi        2007-08-05 08:20:04 UTC

  FreeBSD ports repository

  Modified files:
    .                    modules 
    devel                Makefile 
    devel/php-dbg2       Makefile distinfo pkg-descr pkg-message 
  Log:
  - Update to 2.15.5
  - Connect to build
  
  PR:             114757
  Submitted by:   Josh Paetzel <josh@tcbug.org>
  
  Revision  Changes    Path
  1.18479   +1 -0      CVSROOT/modules
  1.2834    +1 -0      ports/devel/Makefile
  1.15      +14 -30    ports/devel/php-dbg2/Makefile
  1.8       +3 -3      ports/devel/php-dbg2/distinfo
  1.3       +1 -1      ports/devel/php-dbg2/pkg-descr
  1.5       +8 -8      ports/devel/php-dbg2/pkg-message
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Martin Wilke freebsd_committer 2007-08-05 09:20:22 UTC
State Changed
From-To: open->closed

New port added. Thanks!